﻿using Infragistics.Documents.Excel;
using KB7877_WebApplication1.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace KB7877_WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        [HttpPost]
        public IActionResult ExcelExport()
        {
            Workbook workbook = new Workbook(WorkbookFormat.Excel2007);
            Worksheet worksheet = workbook.Worksheets.Add("Sheet1");

            WorksheetCell cell;

            cell = worksheet.GetCell("A1");
            cell.Value = 1000;
            cell.CellFormat.FormatString = "#,##0;[Red]▲#,##0";

            cell = worksheet.GetCell("A2");
            cell.Value = -1000;
            cell.CellFormat.FormatString = "#,##0;[Red]▲#,##0";

            using (MemoryStream ms = new MemoryStream())
            {
                workbook.Save(ms);

                byte[] data = ms.ToArray();
                return File(data, System.Net.Mime.MediaTypeNames.Application.Octet, "Sample.xlsx");
            }
        }
    }
}